=== debian/changelog ===
ros-noetic-rtabmap-odom (0.21.13-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sun, 27 Apr 2025 22:35:00 -0000
